<?php
/*
Plugin Name: WP-IE6Update
Plugin URI: http://japh.com.au/plugins/wp-ie6update/
Description: Plugin for WordPress to insert the code snippet for <a href="http://IE6Update.com" target="_blank">IE6Update</a> into your WordPress pages. Read more about the IE6Update code snippet here: <a href="http://almost.done21.com/2009/04/announcing-ie6-update-help-kill-internet-explorer-6/" target="_blank">Announcing IE6 Update - Help Kill Internet Explorer 6</a>
Author: Japheth Thomson
Version: 1.0
Author URI: http://japh.com.au/
*/

add_action('wp_head', 'ie6update_header');

function ie6update_header() {
    $output = "\n".'<!-- Code Snippet from www.ie6update.com -->'."\n";
    $output = '<!--[if IE 6]>'."\n";
    $output .= '<script type="text/javascript">'."\n";
    $output .= '    /*Load jQuery if not already loaded*/ if(typeof jQuery == \'undefined\'){ document.write("<script type=\"text/javascript\"   src=\"http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js\"></"+"script>"); var __noconflict = true; }'."\n";
    $output .= '    var IE6UPDATE_OPTIONS = {'."\n";
    $output .= '        icons_path: "http://static.ie6update.com/hosted/ie6update/images/",'."\n";
    $output .= '        url: "http://getfirefox.com"'."\n";
    $output .= '    }'."\n";
    $output .= '</script>'."\n";
    $output .= '<script type="text/javascript" src="http://static.ie6update.com/hosted/ie6update/ie6update.js"></script>'."\n";
    $output .= '<![endif]-->';
    print($output);
}
?>